List Plans
curl --request GET \
--url https://api.tryfinch.com/employer/plans \
--header 'Authorization: Bearer <token>' \
--header 'Finch-API-Version: <finch-api-version>'import requests
url = "https://api.tryfinch.com/employer/plans"
headers = {
"Finch-API-Version": "<finch-api-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Finch-API-Version': '<finch-api-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api.tryfinch.com/employer/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"paging": {
"count": 1,
"offset": 0
},
"plans": [
{
"id": "3f0b5a2b-2b4a-4f4c-9f3e-5c4a2c1d9b70",
"name": "Acme PPO Medical",
"type": "medical",
"description": "Nationwide PPO medical coverage.",
"network_type": "ppo",
"carrier": {
"id": "7b2f0b1c-8f52-4a7e-91b4-3c9d9a3e6a11",
"name": "Blue Cross Blue Shield"
},
"start_date": "2026-01-01",
"end_date": "2026-12-31",
"coverage_tiers": [
"employee_only",
"employee_family"
],
"deduction_codes": [
"MED-PPO-EE",
"MED-PPO-ER",
"DEN-EE"
]
}
]
}
Benefits
List Plans
Beta: This endpoint is in beta and may change. Read the benefit plans offered by the company, including carrier, coverage tiers, and deduction codes.
GET
/
employer
/
plans
List Plans
Authorizations
Please use your Access Token
Headers
Header used to specify the version for a given API request. Current version is 2020-09-17.
Pattern:
([12]\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01]))Query Parameters
The entity IDs to specify which entities' data to access. Provide exactly one entity ID per request; a maximum of one is accepted.
Required array length:
1 elementExample:
["550e8400-e29b-41d4-a716-446655440000"]
Filter plans by type (e.g. medical, dental, vision). Case-insensitive. See PlanType for known values.
Example:
"medical"
Number of items to return (defaults to 50, maximum 50)
Required range:
x <= 50Index to start from (defaults to 0)
Was this page helpful?